org.eclipse.aether.repository

## Class RemoteRepository

- java.lang.Object
- - org.eclipse.aether.repository.RemoteRepository

- All Implemented Interfaces:
    ArtifactRepository

      public final class RemoteRepository
      extends Object
      implements ArtifactRepository

  A repository on a remote server.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RemoteRepository.Builder` A builder to create remote repositories.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Authentication` | `getAuthentication()` Gets the authentication that has been selected for this repository.
    `String` | `getContentType()` Gets the type of the repository, for example "default".
    `String` | `getHost()` Gets the host part from the repository's URL.
    `String` | `getId()` Gets the identifier of this repository.
    `List<RemoteRepository>` | `getMirroredRepositories()` Gets the repositories that this repository serves as a mirror for.
    `RepositoryPolicy` | `getPolicy(boolean snapshot)` Gets the policy to apply for snapshot/release artifacts.
    `String` | `getProtocol()` Gets the protocol part from the repository's URL, for example `file` or `http`.
    `Proxy` | `getProxy()` Gets the proxy that has been selected for this repository.
    `String` | `getUrl()` Gets the (base) URL of this repository.
    `int` | `hashCode()`
    `boolean` | `isRepositoryManager()` Indicates whether this repository refers to a repository manager or not.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `ArtifactRepository`
      Gets the identifier of this repository.
      Specified by:
        `getId` in interface `ArtifactRepository`
      Returns:
        The (case-sensitive) identifier, never `null`.

    - #### getContentType

          public String getContentType()

      Description copied from interface: `ArtifactRepository`
      Gets the type of the repository, for example "default".
      Specified by:
        `getContentType` in interface `ArtifactRepository`
      Returns:
        The (case-sensitive) type of the repository, never `null`.

    - #### getUrl

          public String getUrl()

      Gets the (base) URL of this repository.
      Returns:
        The (base) URL of this repository, never `null`.

    - #### getProtocol

          public String getProtocol()

      Gets the protocol part from the repository's URL, for example `file` or `http`. As suggested by RFC 2396, section 3.1 "Scheme Component", the protocol name should be treated case-insensitively.
      Returns:
        The protocol or an empty string if none, never `null`.

    - #### getHost

          public String getHost()

      Gets the host part from the repository's URL.
      Returns:
        The host or an empty string if none, never `null`.

    - #### getPolicy

          public RepositoryPolicy getPolicy(boolean snapshot)

      Gets the policy to apply for snapshot/release artifacts.
      Parameters:
        `snapshot` - `true` to retrieve the snapshot policy, `false` to retrieve the release policy.
      Returns:
        The requested repository policy, never `null`.

    - #### getProxy

          public Proxy getProxy()

      Gets the proxy that has been selected for this repository.
      Returns:
        The selected proxy or `null` if none.

    - #### getAuthentication

          public Authentication getAuthentication()

      Gets the authentication that has been selected for this repository.
      Returns:
        The selected authentication or `null` if none.

    - #### getMirroredRepositories

          public List<RemoteRepository> getMirroredRepositories()

      Gets the repositories that this repository serves as a mirror for.
      Returns:
        The (read-only) repositories being mirrored by this repository, never `null`.

    - #### isRepositoryManager

          public boolean isRepositoryManager()

      Indicates whether this repository refers to a repository manager or not.
      Returns:
        `true` if this repository is a repository manager, `false` otherwise.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.